@charset "UTF-8";
/* ======================================================================
 p-saiyou-introduction
====================================================================== */
.l-content {
  padding: 50px 20px 100px;
  max-width: 100%;
}
@media screen and (max-width: 767px) {
  .l-content {
    padding: 40px 15px 60px;
  }
}

.intro-sec {
  position: relative;
  z-index: 1;
  margin: 0 auto 80px;
  padding: 80px 0;
}
@media screen and (max-width: 767px) {
  .intro-sec {
    margin: 0 auto 40px;
    padding: 50px 15px;
  }
}
.intro-sec__title {
  position: relative;
  z-index: 1;
  text-align: center;
  font-weight: 600;
  font-size: 48px;
}
@media screen and (max-width: 767px) {
  .intro-sec__title {
    font-size: 24px;
    -webkit-font-feature-settings: "palt";
    font-feature-settings: "palt";
  }
}
.intro-sec__title-txt {
  display: inline;
  padding: 9px 10px;
  background: #0065af;
  -webkit-box-decoration-break: clone;
  box-decoration-break: clone;
  color: #fff;
  line-height: 1.75;
}
@media screen and (max-width: 767px) {
  .intro-sec__title-txt {
    line-height: 2;
  }
}
.intro-sec__text-box {
  position: relative;
  z-index: 1;
  margin-top: 25px;
  text-align: center;
}
@media screen and (max-width: 767px) {
  .intro-sec__text-box {
    margin-top: 10px;
    text-align: left;
  }
}
.intro-sec__text {
  font-size: 16px;
  line-height: 1.75;
}
.intro-sec__text:not(:first-child) {
  margin-top: 2em;
}
@media screen and (max-width: 767px) {
  .intro-sec__text:not(:first-child) {
    margin-top: 1.5em;
  }
}

.message-sec {
  position: relative;
  z-index: 1;
  margin: 0 auto;
  padding: 0 0 100px;
  max-width: 100%;
  width: 1164px;
}
@media screen and (max-width: 767px) {
  .message-sec {
    padding: 0 0 60px;
  }
}
.message-sec__contents {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  gap: 60px;
}
@media screen and (max-width: 767px) {
  .message-sec__contents {
    -webkit-box-orient: vertical;
    -webkit-box-direction: normal;
    -ms-flex-direction: column;
    flex-direction: column;
    gap: 20px;
  }
}
.message-sec__contents-txtbox {
  -webkit-box-flex: 0;
  -ms-flex: 0 0 51%;
  flex: 0 0 51%;
}
.message-sec__contents-txtbox > * + * {
  margin-top: 10px;
}
.message-sec__contents-txtbox .text-1 {
  font-size: 16px;
  line-height: 1.75;
}
.message-sec__contents-txtbox .text-2 {
  font-weight: 600;
  font-size: 20px;
}
.message-sec__contents-txtbox .text-3 {
  color: #357db1;
  font-weight: 600;
  font-size: 18px;
}
@media screen and (max-width: 767px) {
  .message-sec__contents-txtbox .text-3 {
    font-size: 16px;
  }
}
.message-sec__contents-thumb {
  -webkit-box-flex: 1;
  -ms-flex: 1 1;
  flex: 1 1;
}
.message-sec__contents-president {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-align: center;
  -ms-flex-align: center;
  align-items: center;
  -webkit-box-pack: end;
  -ms-flex-pack: end;
  justify-content: flex-end;
  gap: 20px;
  margin: 20px 0 0;
}
@media screen and (max-width: 767px) {
  .message-sec__contents-president {
    gap: 10px;
    margin: 10px 0 0;
  }
}
.message-sec__contents-president-position {
  font-size: 14px;
  line-height: 2;
}
.message-sec__contents-president-name {
  font-size: 24px;
  line-height: 1;
}
@media screen and (max-width: 767px) {
  .message-sec__contents-president-name {
    font-size: 20px;
  }
}

.strength-sec {
  position: relative;
  z-index: 0;
  margin: 0 -20px;
  padding: 200px 20px 190px;
  background: url(../img/p-saiyou-introduction/strength-sec-bg.jpg) no-repeat center/cover;
}
@media screen and (max-width: 767px) {
  .strength-sec {
    padding: 80px 15px;
    background: url(../img/p-saiyou-introduction/sp/strength-sec-bg.png) no-repeat center/cover;
  }
}
.strength-sec .bubble-canvas {
  position: absolute;
  top: 0;
  left: 0;
  z-index: 1;
  width: 100%;
  height: 100%;
  pointer-events: none;
  mask-image: linear-gradient(to top, transparent 0px, black 100px);
  -webkit-mask-image: linear-gradient(to top, transparent 0px, black 100px);
}
.strength-sec:before, .strength-sec:after {
  position: absolute;
  left: 0;
  z-index: -1;
  min-width: 1366px;
  width: 200vw;
  height: 100%;
  background-size: 1366px auto;
  background-repeat: repeat-x;
  content: "";
  -webkit-animation: wave 30s linear 0s infinite;
  animation: wave 30s linear 0s infinite;
  pointer-events: none;
}
@media screen and (max-width: 767px) {
  .strength-sec:before, .strength-sec:after {
    min-width: 750px;
    background-size: 375px auto;
    -webkit-animation: waveSp 30s linear 0s infinite;
    animation: waveSp 30s linear 0s infinite;
  }
}
.strength-sec:before {
  top: -150px;
  z-index: 0;
  background-image: url(../img/p-saiyou-introduction/strength-sec-wave01.png);
  background-position: top;
}
@media screen and (max-width: 767px) {
  .strength-sec:before {
    top: -60px;
    background-image: url(../img/p-saiyou-introduction/sp/strength-sec-wave01.png);
  }
}
.strength-sec:after {
  bottom: -150px;
  background-image: url(../img/p-saiyou-introduction/strength-sec-wave02.png);
  background-position: bottom;
}
@media screen and (max-width: 767px) {
  .strength-sec:after {
    bottom: -50px;
    background-image: url(../img/p-saiyou-introduction/sp/strength-sec-wave02.png);
  }
}
.strength-sec .c-title-1 {
  margin-bottom: 55px;
}
@media screen and (max-width: 767px) {
  .strength-sec .c-title-1 {
    margin-bottom: 35px;
  }
}
.strength-sec .c-title-1__txt {
  font-size: 20px;
}
@media screen and (max-width: 767px) {
  .strength-sec .c-title-1__txt {
    font-size: 16px;
  }
}
.strength-sec .c-title-1__title, .strength-sec .c-title-1__txt {
  color: #fff;
}
.strength-sec__contents {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  gap: 60px;
  margin: 0 auto;
  max-width: 100%;
  width: 1164px;
}
@media screen and (max-width: 767px) {
  .strength-sec__contents {
    -webkit-box-orient: vertical;
    -webkit-box-direction: normal;
    -ms-flex-direction: column;
    flex-direction: column;
    gap: 20px;
    padding: 0 9px;
  }
}
.strength-sec__txtbox {
  -webkit-box-flex: 0;
  -ms-flex: 0 0 51%;
  flex: 0 0 51%;
  color: #fff;
  line-height: 1.75;
}
.strength-sec__txtbox p {
  font-weight: 600;
}
@media screen and (max-width: 767px) {
  .strength-sec__txtbox p {
    font-weight: normal;
  }
}
.strength-sec__txtbox p:not(:first-child) {
  margin: 20px 0 0;
}
@media screen and (max-width: 767px) {
  .strength-sec__txtbox p:not(:first-child) {
    margin: 10px 0 0;
  }
}
.strength-sec__thumb {
  -webkit-box-flex: 1;
  -ms-flex: 1 1;
  flex: 1 1;
}

@-webkit-keyframes wave {
  0% {
    -webkit-transform: translateX(0);
    transform: translateX(0);
  }
  100% {
    -webkit-transform: translateX(-1366px);
    transform: translateX(-1366px);
  }
}

@keyframes wave {
  0% {
    -webkit-transform: translateX(0);
    transform: translateX(0);
  }
  100% {
    -webkit-transform: translateX(-1366px);
    transform: translateX(-1366px);
  }
}
@-webkit-keyframes waveSp {
  0% {
    -webkit-transform: translateX(0);
    transform: translateX(0);
  }
  100% {
    -webkit-transform: translateX(-375px);
    transform: translateX(-375px);
  }
}
@keyframes waveSp {
  0% {
    -webkit-transform: translateX(0);
    transform: translateX(0);
  }
  100% {
    -webkit-transform: translateX(-375px);
    transform: translateX(-375px);
  }
}
.company-sec {
  position: relative;
  z-index: 1;
  margin: 0 auto;
  padding: 100px 20px 0;
  max-width: 100%;
  width: 894px;
}
@media screen and (max-width: 767px) {
  .company-sec {
    padding: 60px 0 0;
  }
}
@media screen and (max-width: 767px) {
  .company-sec .c-title-1 {
    margin-bottom: 35px;
  }
}
.company-sec__profile {
  font-size: 16px;
  line-height: 1.75;
}
.company-sec__profile-item {
  padding: 25px 20px;
  border-bottom: 1px solid rgba(221, 221, 221, 0.5);
}
@media screen and (max-width: 767px) {
  .company-sec__profile-item {
    padding: 12px 0;
  }
}
.company-sec__profile-item:first-child {
  padding: 25px 20px;
  border-top: 1px solid rgba(221, 221, 221, 0.5);
}
@media screen and (max-width: 767px) {
  .company-sec__profile-item:first-child {
    padding: 12px 0;
  }
}
.company-sec__profile-item-inr {
  display: grid;
  grid-template-columns: 205px 1fr;
}
@media screen and (max-width: 767px) {
  .company-sec__profile-item-inr {
    grid-template-columns: 1fr;
    gap: 2px;
  }
}
.company-sec__profile-item-label {
  font-weight: 600;
}
.company-sec__profile-item-label .min {
  font-size: 12px;
  line-height: 2.3333333333;
}
.company-sec__profile-item-map {
  margin: 30px 0 5px;
  aspect-ratio: 17/7;
  width: 100%;
}
@media screen and (max-width: 767px) {
  .company-sec__profile-item-map {
    margin: 20px 0 5px;
    aspect-ratio: 345/180;
  }
}
.company-sec__profile-item-map iframe {
  width: 100%;
  height: 100%;
}
.company-sec__profile-item-officers-item {
  display: grid;
  grid-template-columns: 8em 1fr;
  gap: 20px;
}
.company-sec__profile-item-officers-pos {
  font-weight: 400;
}
.company-sec__profile-item-body ol {
  counter-reset: num;
}
.company-sec__profile-item-body ol li {
  padding-left: 1em;
  counter-increment: num;
  text-indent: -1em;
}
.company-sec__profile-item-body ol li::before {
  content: counter(num) ".";
}
.company-sec__profile-item-body .list_1 > li {
  position: relative;
  z-index: 0;
  padding-left: calc(1em + 4px);
}
.company-sec__profile-item-body .list_1 > li:before {
  position: absolute;
  top: 0;
  left: 0;
  z-index: 1;
  content: "●";
}
.company-sec__profile-item-body .list_2 > li {
  padding-left: 1em;
  text-indent: -1em;
}
.company-sec__profile-item-body .list_2 > li:before {
  content: "・";
}
/*# sourceMappingURL=data:application/json;charset=utf8;base64,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 */
